﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace ExamplePrj
{
    public partial class MainPage : PhoneApplicationPage
    {
        WeekendDaySelector itmSelector;
        UpdatedDaySelector updItmSelector;

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            itmSelector = this.Resources["WeekendDaySelector"] as WeekendDaySelector;
            updItmSelector = this.Resources["UpdatedDaySelector"] as UpdatedDaySelector;
            this.defaultItemTemplate.IsChecked = true;
        }

        private void selectedDefaultItmTmpl (object sender, RoutedEventArgs e)
        {
            this.testCalendarItemTemplate.ItemTemplateSelector = itmSelector;
        }

        private void selectedUpdatedItmTmpl (object sender, RoutedEventArgs e)
        {
            this.testCalendarItemTemplate.ItemTemplateSelector = updItmSelector;
        }
    }
}